# ACKNOWLEDGE.CGI

Section: User Commands (1)
Updated: Version 4.3.30: 18 Aug 2026
Index Return to Main Contents

## NAME

acknowledge.cgi - Xymon CGI script to acknowledge alerts

## SYNOPSIS

acknowledge.cgi?ACTION=action&NUMBER=acknum&DELAY=validity&MESSAGE=text

## DESCRIPTION

acknowledge.cgi is invoked as a CGI script via the acknowledge.sh CGI wrapper.

acknowledge.cgi is passed a QUERY_STRING environment variable with the ACTION, NUMBER, DELAY and MESSAGE parameters.

## PARAMETERS

ACTION is the action to perform. The only supported action is "Ack" to acknowledge an alert.

NUMBER is the number identifying the host/service to be acknowledged. It is included in all alert-messages sent out by Xymon.

DELAY is the time (in minutes) that the acknowledge is valid.

MESSAGE is an optional text which will be shown on the status page while the acknowledgment is active. You can use it to e.g. tell users not to contact you about the problem, or inform them when the problem is expected to be resolved.

## OPTIONS

--no-pin
  acknowledge.cgi normally requires the user to enter the acknowledgment code received in an alert message. If you run it with this option, the user will instead get a list of the current non-green statuses, and he may send an acknowledge without knowing the code.

--no-cookies
  Normally, acknowledge.cgi uses a cookie sent by the browser to initially filter the list of hosts presented. If this is not desired, you can turn off this behaviour by calling acknowledge.cgi with the --no-cookies option. This would normally be placed in the CGI_ACK_OPTS setting in cgioptions.cfg(5)

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--debug
  Enables debugging output.

## FILES

$XYMONHOME/web/acknowledge_header
  HTML header file for the generated web page

$XYMONHOME/web/acknowledge_footer
  HTML footer file for the generated web page

$XYMONHOME/web/acknowledge_form
  Query form displayed when acknowledge.cgi is called with no parameters.

## ENVIRONMENT VARIABLES

XYMONHOME
  Used to locate the template files for the generated web pages.

QUERY_STRING
  Contains the parameters for the CGI script.

## BUGS

When using alternate pagesets, hosts will only show up on the acknowledgment page if this is accessed from the primary page in which they are defined. So if you have hosts on multiple pages, they will only be visible for acknowledging from their main page which is not what you would expect.

## SEE ALSO

xymongen(1), hosts.cfg(5), xymonserver.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
PARAMETERS
OPTIONS
FILES
ENVIRONMENT VARIABLES
BUGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 18:59:22 GMT, August 18, 2026